/*
 * PhotoCD player plugin for VDR
 * pcd_viewer.h: Viewer core
 *
 *
 * See the README file for copyright information and how to reach the author.
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 *
 * $Id$
 *
 */


#ifndef __PCD_VIEWER_H
#define __PCD_VIEWER_H

#include <vdr/player.h>
#include <vdr/thread.h>
#include <vdr/remux.h>
#include <vdr/ringbuffer.h>
#include "pcd_func.h"

class cPcdViewer;

class cPcdViewerControl : public cControl {
private:
  cPcdViewer *viewer;
public:
  cPcdViewerControl(int Image, cPCD *Pcd);
  virtual ~cPcdViewerControl();
  bool Active(void);
  int GetImage(void);
  void Stop(void);
  bool SkipImages(int Images);
  bool ZoomImage(int Zoom);
  bool PanImage(int X, int Y, int Off);
  void GotoImage(int Image);
  void ToggleSlideshow(void);
  };

#endif //__PCD_VIEWER_H
